fn -ls {|@argv|
    e:ls -N --color=auto --group-directories-first --ignore=lost+found '--time-style=+"%Y.%m.%d %H:%M"' --indicator-style=classify $@argv
}

fn -go-ls {|@argv|
  e:go-ls --group-directories-first -T '+%Y.%m.%d %H:%M' --git $@argv
}

fn -exa {|@argv|
  e:exa --color auto --git --icons --group-directories-first $@argv
}

fn -exal {|@argv|
  -exa -lghH@ --time-style long-iso $@argv
}

fn -lsd {|@argv|
  e:lsd --color auto --group-directories-first --date +'%Y.%m.%d %H:%M' $@argv
}

fn -lsdl {|@argv|
  -lsd -lg --header $@argv
}

var cmd  = $-exa~
var cmdl = $-exal~

edit:add-var ls~ {|@argv| $cmd $@argv }
#edit:add-var la~ {|@argv| $cmd -a $@argv }
#edit:add-var ll~ {|@argv| $cmd -lh $@argv }
#edit:add-var lla~ {|@argv| $cmd -lha $@argv }
#edit:add-var la~ {|@argv| $cmd -aa $@argv }
#edit:add-var ll~ {|@argv| $cmdl -l $@argv }
#edit:add-var lla~ {|@argv| $cmdl -aa $@argv }
edit:add-var la~ {|@argv| $cmd -a $@argv }
edit:add-var ll~ {|@argv| $cmdl $@argv }
edit:add-var lla~ {|@argv| $cmdl -a $@argv }
